Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Private Attributes
ArgusSamples::EventThread Class Reference

The EventThread is querying events from the session. More...

`#include <EventThread.h>`

List of all members.

## Public Member Functions

| EventThread (Argus::CaptureSession *session, SessionPerfTracker *sessionPerfTracker)
virtual | ~EventThread ()

## Protected Member Functions

virtual bool | threadInitialize ()
virtual bool | threadExecute ()
virtual bool | threadShutdown ()

## Private Attributes

Argus::CaptureSession * | m_session
Argus::UniqueObj < Argus::EventQueue > | m_eventQueue
SessionPerfTracker * | m_sessionPerfTracker

## Detailed Description

The EventThread is querying events from the session.

It does some analysis and then pass the info to a sessionPerfTracker.

Definition at line 45 of file EventThread.h.

## Constructor & Destructor Documentation

ArgusSamples::EventThread::EventThread | ( | Argus::CaptureSession * | session,
|  | SessionPerfTracker * | sessionPerfTracker
| ) |  |

explicit

Definition at line 38 of file EventThread.cpp.

ArgusSamples::EventThread::~EventThread | ( |  | ) |

virtual

Definition at line 45 of file EventThread.cpp.

## Member Function Documentation

bool ArgusSamples::EventThread::threadExecute | ( |  | ) |

protected virtual

Definition at line 61 of file EventThread.cpp.

bool ArgusSamples::EventThread::threadInitialize | ( |  | ) |

protected virtual

Definition at line 49 of file EventThread.cpp.

bool ArgusSamples::EventThread::threadShutdown | ( |  | ) |

protected virtual

Definition at line 165 of file EventThread.cpp.

## Member Data Documentation

Argus::UniqueObj<Argus::EventQueue> ArgusSamples::EventThread::m_eventQueue

private

Definition at line 59 of file EventThread.h.

Argus::CaptureSession* ArgusSamples::EventThread::m_session

private

Definition at line 58 of file EventThread.h.

SessionPerfTracker* ArgusSamples::EventThread::m_sessionPerfTracker

private

Definition at line 60 of file EventThread.h.

The documentation for this class was generated from the following files:

- modules/EventThread.h
- modules/EventThread.cpp